package com.goafanti.ChatAI.bo;

import org.springframework.http.MediaType;
import org.springframework.web.servlet.mvc.method.annotation.ResponseBodyEmitter;
import org.springframework.web.servlet.mvc.method.annotation.SseEmitter;

import java.util.Set;

public class SseEventBo implements SseEmitter.SseEventBuilder {
    private String id;
    private String comment;
    private String name;
    private Long reconnectTime;
    private Object data;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getReconnectTime() {
        return reconnectTime;
    }

    public void setReconnectTime(Long reconnectTime) {
        this.reconnectTime = reconnectTime;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    @Override
    public SseEmitter.SseEventBuilder comment(String s) {
        return null;
    }

    @Override
    public SseEmitter.SseEventBuilder name(String s) {
        return null;
    }

    @Override
    public SseEmitter.SseEventBuilder id(String s) {
        return null;
    }

    @Override
    public SseEmitter.SseEventBuilder reconnectTime(long l) {
        return null;
    }

    @Override
    public SseEmitter.SseEventBuilder data(Object o) {
        return null;
    }

    @Override
    public SseEmitter.SseEventBuilder data(Object o, MediaType mediaType) {
        return null;
    }

    @Override
    public Set<ResponseBodyEmitter.DataWithMediaType> build() {
        return null;
    }
}
